MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::G96XFunctional Class Reference

Implements the Gill 1996 (G96) exchange functional. More...

`#include <functional.h>`

Inheritance diagram for sc::G96XFunctional:

List of all members.

## Public Member Functions

| G96XFunctional (const Ref< KeyVal > &)
| G96XFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int | need_density_gradient ()
void | point (const PointInputData &, PointOutputData &)

## Protected Member Functions

void | init_constants ()

## Protected Attributes

double | b_

## Detailed Description

Implements the Gill 1996 (G96) exchange functional.

P. M. W. Gill, Mol. Phys., 89(2), pp. 433-445, 1996.

## Member Function Documentation

void sc::G96XFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

The documentation for this class was generated from the following file:

- functional.h